lunes, 21 de noviembre de 2011

#Seguridad - #Vulnerabilidad en #Linux por #CodeExecution en #Python


Alerta 2011-0835
Ejecución de código en python-django-piston en debian
Fecha Publicación: 18-11-2011


Sistemas Afectados:

GNU/Linux
python-django-piston


Descripción:

CVE-2011-4103: Se ha descubierto una vulnerabilidad en python-django-piston en Debian. La vulnerabilidad reside en un error al procesar ciertos datos YAML y Pickle. Un atacante remoto podría obtener acceso y ejecutar código arbitrario mediante métodos no especificados.


Solución:

Actualización de software

Debian (DSA-2344-1)
Para la distribución estable (squeeze), este problema ha sido corregido en la versión 0.2.2-1 + squeeze1.
Para la distribución de pruebas (wheezy) y la distribución inestable (sid), este problema ha sido corregido en la versión 0.2.2-2.
http://www.debian.org/security/

Referencias:

Debian Security Advisory (DSA-2344-1)
http://lists.debian.org/debian-security-announce/2011/msg00221.html

Fuente: DSA / CLCERT

0 comentarios:

My Tweets

Protegelas.com